set -o nounset
set -e

testUserId=`id -u $USER`
testUserGroupId=`id -g $USER`
userGroup=`id -g -n $USER`

echo USER=$USER
echo testUserId=$testUserId
echo testUserGroupId=$testUserGroupId
echo userGroup=$userGroup

docker build --tag jdk-internal-testuser:test \
       --build-arg TEST_USER_NAME=$USER --build-arg TEST_USER_ID=$testUserId \
       --build-arg TEST_USER_GID=$testUserGroupId --build-arg TEST_USER_GROUP=$userGroup \
       .
