set -o nounset
set -e

echo running test using $JAVA_HOME
$JAVA_HOME/bin/java -version

bash run.sh 01
echo "wait a bit to let JVM process to initialize and start listening"
sleep 5

jcmdSlowRunnerInfo=`$JAVA_HOME/bin/jcmd -l | grep SlowRunner`
echo "-----------------"
echo "JCMD -l returned:"
echo $jcmdSlowRunnerInfo
echo "-----------------"
targetPid=`echo $jcmdSlowRunnerInfo | tr ' ' '\n' | grep -v SlowRunner`

# echo
# targetPid=`ps -ef | grep SlowRunner | grep test-classes | tr -s " " "\n" | head -2 | tail -1`
echo "targetPid is $targetPid"

echo "-----------------"
echo "Running simple command on target JVM via jcmd: help"
echo "jcmd $targetPid help"
echo
$JAVA_HOME/bin/jcmd $targetPid help

echo "-----------------"
echo "Running VM.info command on target JVM via jcmd"
echo "jcmd $targetPid VM.info"
echo
$JAVA_HOME/bin/jcmd $targetPid VM.info
